## cloud-init 17.1-18-gd4f70470

=== debian/changelog ===
cloud-init (17.1-18-gd4f70470-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - simpletable: Fix get_string method to return table-formatted string
      (LP: #1722566)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 10 Oct 2017 13:40:13 -0600

cloud-init (17.1-17-g45d361cb-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - net: Handle bridge stp values of 0 and convert to boolean type
      [Chad Smith]
    - tools: Give specific --abbrev=8 to "git describe"
    - network: bridge_stp value not always correct [Ryan Harper] (LP: #1721157)
    - tests: re-enable tox with nocloud-kvm support [Joshua Powers]

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 05 Oct 2017 16:15:34 -0500

cloud-init (17.1-13-g7fd04255-0ubuntu1) artful; urgency=medium

  * debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
    (LP: #1718681)
  * debian/control: drop dependency on python3-prettytable
  * New upstream snapshot.
    - systemd: remove limit on tasks created by cloud-init-final.service.
      [Robert Schweikert] (LP: #1717969)
    - suse: Support addition of zypper repos via cloud-config.
      [Robert Schweikert] (LP: #1718675)
    - tests: Combine integration configs and testcases [Joshua Powers]
    - Azure, CloudStack: Support reading dhcp options from systemd-networkd.
      [Dimitri John Ledkov] (LP: #1718029)
    - packages/debian/copyright: remove mention of boto and MIT license
    - systemd: only mention Before=apt-daily.service on debian based distros.
      [Robert Schweikert]
    - Add missing simpletable and simpletable tests for failed merge
      [Chad Smith]
    - Remove prettytable dependency, introduce simpletable [Andrew Jorgensen]
    - debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
      [Joshua Powers] (LP: #1718681)
    - tests: remove dependency on shlex [Joshua Powers]
    - AltCloud: Trust PATH for udevadm and modprobe.
    - DataSourceOVF: use util.find_devs_with(TYPE=iso9660)
      [Ryan Harper] (LP: #1718287)
    - tests: remove a temp file used in bootcmd tests.

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 03 Oct 2017 10:59:52 -0500

cloud-init (17.1-0ubuntu1) artful; urgency=medium

  * New upstream release.
    - doc: document GCE datasource. [Arnd Hannemann]
    - suse: updates to templates to support openSUSE and SLES.
      [Robert Schweikert] (LP: #1718640)
    - suse: Copy sysvinit files from redhat with slight changes.
      [Robert Schweikert] (LP: #1718649)
    - docs: fix sphinx module schema documentation [Chad Smith]
    - tests: Add cloudinit package to all test targets [Chad Smith]
    - Makefile: No longer look for yaml files in obsolete ./bin/.
    - tests: fix ds-identify unit tests to set EC2_STRICT_ID_DEFAULT.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 22 Sep 2017 12:21:18 -0400

cloud-init (0.7.9-283-g7eb3460b-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - ec2: Fix maybe_perform_dhcp_discovery to use /var/tmp as a tmpdir
      [Chad Smith] (LP: #1717627)
    - Azure: wait longer for SSH pub keys to arrive.
      [Paul Meyer] (LP: #1717611)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 18 Sep 2017 20:41:53 -0400

cloud-init (0.7.9-281-g10f067d8-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - GCE: Fix usage of user-data. (LP: #1717598)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 18 Sep 2017 17:03:22 -0400

cloud-init (0.7.9-280-ge626966e-0ubuntu1) artful; urgency=medium

  * debian/rules: install rsyslog file with 0644 mode instead of 0755.
  * debian/rules, debian/apport-launcher.py: add an apport hook. (LP: #1607345)
  * New upstream snapshot.
    - cmdline: add collect-logs subcommand. [Chad Smith] (LP: #1607345)
    - CloudStack: consider dhclient lease files named with a hyphen.
      (LP: #1717147)
    - resizefs: Drop check for read-only device file, do not warn on
      overlayroot. [Chad Smith]
    - Do not provide systemd-fsck drop-in which could cause ordering cycles.
      [Balint Reczey] (LP: #1717477)
    - tests: Enable the NoCloud KVM platform [Joshua Powers]
    - resizefs: pass mount point to xfs_growfs [Dusty Mabe]
    - vmware: Enable nics before sending the SUCCESS event. [Sankar Tanguturi]
    - cloud-config modules: honor distros definitions in each module
      [Chad Smith] (LP: #1715738, #1715690)
    - chef: Add option to pin chef omnibus install version
      [Ethan Apodaca] (LP: #1462693)
    - tests: execute: support command as string [Joshua Powers]
    - schema and docs: Add jsonschema to resizefs and bootcmd modules
      [Chad Smith]
    - tools: Add xkvm script, wrapper around qemu-system [Joshua Powers]
    - vmware customization: return network config format
      [Sankar Tanguturi] (LP: #1675063)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Sep 2017 16:09:07 -0400

cloud-init (0.7.9-267-g922c3c5c-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - Ec2: only attempt to operate at local mode on known platforms.
      (LP: #1715128)
    - Use /run/cloud-init for tempfile operations. (LP: #1707222)
    - ds-identify: Make OpenStack return maybe on arch other than intel.
      (LP: #1715241)
    - tests: mock missed openstack metadata uri network_data.json
      [Chad Smith] (LP: #1714376)
    - relocate tests/unittests/helpers.py to cloudinit/tests
      [Lars Kellogg-Stedman]
    - tox: add nose timer output [Joshua Powers]
    - upstart: do not package upstart jobs, drop ubuntu-init-switch module.
    - tests: Stop leaking calls through unmocked metadata addresses
      [Chad Smith] (LP: #1714117)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 07 Sep 2017 16:59:04 -0400

cloud-init (0.7.9-259-g7e76c57b-0ubuntu1) artful; urgency=medium

  * Disable upstart support, as upstart is no longer shipped in artful.
    [Dimitri Ledkov]
  * New upstream snapshot.
    - distro: allow distro to specify a default locale [Ryan Harper]
    - tests: fix two recently added tests for sles distro.

