=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                python3-httpretty,
                python3-jinja2,
                python3-jsonpatch,
+               python3-jsonschema,
                python3-mock,
                python3-nose,
                python3-oauthlib,
                python3-pep8,
-               python3-prettytable,
                python3-pyflakes | pyflakes (<< 1.1.0-2),
                python3-requests,
                python3-serial,
@@ -34,10 +34,10 @@
 Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
-         ifupdown (>= 0.6.10ubuntu5),
+         nplan | ifupdown,
          procps,
          python3,
-         python3-requests (>= 0.8.2),
+         python3-requests,
          python3-serial,
          ${misc:Depends},
          ${python3:Depends}
@@ -48,9 +48,9 @@
  to retrieve and install ssh keys and to let the user run various scripts.
 
 Package: grub-legacy-ec2
-Depends: debconf (>= 1.5.19) | cdebconf,
+Depends: debconf | cdebconf,
          ucf,
-         util-linux (>= 2.15-1),
+         util-linux,
          ${misc:Depends}
 Conflicts: grub
 Suggests: grub-legacy-doc
