=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-httpretty,
                python3-jinja2,
                python3-jsonpatch,
-               python3-jsonschema,
                python3-mock,
                python3-nose,
                python3-oauthlib,
@@ -34,10 +33,10 @@
 Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
-         nplan | ifupdown,
+         ifupdown (>= 0.6.10ubuntu5),
          procps,
          python3,
-         python3-requests,
+         python3-requests (>= 0.8.2),
          python3-serial,
          ${misc:Depends},
          ${python3:Depends}
@@ -48,9 +47,9 @@
  to retrieve and install ssh keys and to let the user run various scripts.
 
 Package: grub-legacy-ec2
-Depends: debconf | cdebconf,
+Depends: debconf (>= 1.5.19) | cdebconf,
          ucf,
-         util-linux,
+         util-linux (>= 2.15-1),
          ${misc:Depends}
 Conflicts: grub
 Suggests: grub-legacy-doc
