## cloud-init 18.2-4-g05926e48

=== debian/changelog ===
cloud-init (18.2-4-g05926e48-0ubuntu1~17.10.2) artful-proposed; urgency=medium

  * cherry-pick 11172924: IBMCloud: Disable config-drive and nocloud
    only if IBMCloud (LP: #1766401)
  * cherry-pick 6ef92c98: IBMCloud: recognize provisioning environment
    during debug (LP: #1767166)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 01 May 2018 10:36:14 -0600

cloud-init (18.2-4-g05926e48-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * debian/new-upstream-snapshot: Remove script, now maintained elsewhere.
  * New upstream snapshot. (LP: #1759406)
    - tests: fix integration tests to support lxd 3.0 release
    - correct documentation to match correct attribute name usage.
      [Dominic Schlegel]
    - cc_resizefs, util: handle no /dev/zfs
    - doc: Fix links in OpenStack datasource documentation. [Dominic Schlegel]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 03 Apr 2018 17:00:47 -0600

cloud-init (18.2-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * Drop the following cherry picks in debian/patches.
    They are now incorporated in the upstream source:
    + cpick-40e7738-GCE-fix-reading-of-user-data-that-is-not-base64-encoded
  * New upstream release. (LP: #1759406)
    - release 18.2
    - Hetzner: Exit early if dmi system-manufacturer is not Hetzner.
    - Add missing dependency on isc-dhcp-client to trunk ubuntu packaging.
    - FreeBSD: resizefs module now able to handle zfs/zpool. [Dominic Schlegel]
    - cc_puppet: Revert regression of puppet creating ssl and ssl_cert dirs
    - Enable IBMCloud datasource in settings.py.
    - IBMCloud: Initial IBM Cloud datasource.
    - tests: remove jsonschema from xenial tox environment.
    - tests: Fix newly added schema unit tests to skip if no jsonschema.
    - ec2: Adjust ec2 datasource after exception_cb change.
    - Reduce AzurePreprovisioning HTTP timeouts. [Douglas Jordan]
    - Revert the logic of exception_cb in read_url. [Kurt Garloff]
    - ubuntu-advantage: Add new config module to support ubuntu-advantage-tools
    - Handle global dns entries in netplan
    - Identify OpenTelekomCloud Xen as OpenStack DS. [Kurt Garloff]
    - datasources: fix DataSource subclass get_hostname method signature
    - OpenNebula: Update network to return v2 config rather than ENI.
      [Akihiko Ota]
    - Add Hetzner Cloud DataSource
    - net: recognize iscsi root cases without ip= on kernel command line.
    - tests: fix flakes warning for unused variable
    - tests: patch leaked stderr messages from snap unit tests
    - cc_snap: Add new module to install and configure snapd and snap packages.
    - tests: Make pylint happy and fix python2.6 uses of assertRaisesRegex.
    - netplan: render bridge port-priority values
    - util: Fix subp regression. Allow specifying subp command as a string.
    - doc: fix all warnings issued by 'tox -e doc'
    - FreeBSD: Set hostname to FQDN. [Dominic Schlegel]
    - tests: fix run_tree and bddeb
    - tests: Fix some warnings in tests that popped up with newer python.
    - set_hostname: When present in metadata, set it before network bringup.
    - tests: Centralize and re-use skipTest based on json schema presense.
    - This commit fixes get_hostname on the AzureDataSource. [Douglas Jordan]
    - shellify: raise TypeError on bad input.
    - Make salt minion module work on FreeBSD. [Dominic Schlegel]
    - Simplify some comparisions. [Rémy Léone]
    - Change some list creation and population to literal. [Rémy Léone]
    - GCE: fix reading of user-data that is not base64 encoded.
    - doc: fix chef install from apt packages example in RTD.
    - Implement puppet 4 support [Romanos Skiadas]
    - subp: Fix subp usage with non-ascii characters when no system locale.
    - salt: configure grains in grains file rather than in minion config.
      [Daniel Wallace]
    - release 18.1
    - OVF: Fix VMware support for 64-bit platforms. [Sankar Tanguturi]
    - ds-identify: Fix searching for iso9660 OVF cdroms.
    - SUSE: Fix groups used for ownership of cloud-init.log [Robert Schweikert]
    - ds-identify: check /writable/system-data/ for nocloud seed.
    - tests: run nosetests in cloudinit/ directory, fix py26 fallout.
    - tools: run-centos: git clone rather than tar.

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Mar 2018 13:08:59 -0600

cloud-init (17.2-35-gf576b2a2-0ubuntu1~17.10.2) artful-proposed; urgency=medium

  * cherry-pick 40e7738: GCE: fix reading of user-data that is not
    base64 encoded. (LP: #1752711)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 01 Mar 2018 16:03:46 -0700

cloud-init (17.2-35-gf576b2a2-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * New upstream snapshot. (LP: #1747059)
    - tests: add support for logs with lxd from snap and future lxd 3.
    - EC2: Fix get_instance_id called against cached datasource pickle.
    - cli: fix cloud-init status to report running when before result.json
    - net: accept network-config in netplan format for renaming interfaces
    - Fix ssh keys validation in ssh_util [Tatiana Kholkina]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 12 Feb 2018 10:16:42 -0700

cloud-init (17.2-30-gf7deaf15-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * New upstream snapshot. (LP: #1747059)
    - docs: Update RTD content for cloud-init subcommands.
    - OVF: Extend well-known labels to include OVFENV.
    - Fix potential cases of uninitialized variables.
    - tests: Collect script output as binary, collect systemd journal, fix lxd.
    - HACKING.rst: mention setting user name and email via git config.
    - Azure VM Preprovisioning support. [Douglas Jordan]
    - tools/read-version: Fix read-version when in a git worktree.
    - docs: Fix typos in docs and one debug message. [Florian Grignon]
    - btrfs: support resizing if root is mounted ro. [Robert Schweikert]
    - OpenNebula: Improve network configuration support. [Akihiko Ota]
    - tests: Fix EC2 Platform to return console output as bytes.

